Botan: Botan::Server_Hello_Done Class Reference

Botan 1.10.17

Public Member Functions | List of all members
Botan::Server_Hello_Done Class Reference

`#include <tls_messages.h>`

Inheritance diagram for Botan::Server_Hello_Done:

## Public Member Functions
void | send (Record_Writer &, HandshakeHash &) const
| Server_Hello_Done (Record_Writer &, HandshakeHash &)
| Server_Hello_Done (const MemoryRegion< byte > &buf)
Handshake_Type | type () const

## Detailed Description

Server Hello Done Message

Definition at line 283 of file tls_messages.h.

## Constructor & Destructor Documentation

## ◆ Server_Hello_Done() [1/2]

Botan::Server_Hello_Done::Server_Hello_Done | ( | Record_Writer & | writer,
|  | HandshakeHash & | hash
| ) |  |

Definition at line 308 of file hello.cpp.

References Botan::HandshakeMessage::send().

310 {
311 send(writer, hash);
312 }
Botan::HandshakeMessage::send
void send(Record_Writer &, HandshakeHash &) const
Definition: hello.cpp:16

## ◆ Server_Hello_Done() [2/2]

Botan::Server_Hello_Done::Server_Hello_Done | ( | const MemoryRegion< byte > & | buf | ) |
| inline

Definition at line 289 of file tls_messages.h.

289 { deserialize(buf); }

## Member Function Documentation

## ◆ send()

void Botan::HandshakeMessage::send | ( | Record_Writer & | writer,
|  | HandshakeHash & | hash
| ) |  | const
| inherited

Definition at line 16 of file hello.cpp.

References Botan::Record_Writer::flush(), Botan::HANDSHAKE, Botan::Record_Writer::send(), Botan::MemoryRegion< T >::size(), Botan::HandshakeMessage::type(), and Botan::HandshakeHash::update().

Referenced by Botan::Certificate::Certificate(), Botan::Certificate_Req::Certificate_Req(), Botan::Finished::Finished(), Botan::Hello_Request::Hello_Request(), and Server_Hello_Done().

17 {
18 SecureVector<byte> buf = serialize();
19 SecureVector<byte> send_buf(4);
20
21 const size_t buf_size = buf.size();
22
23 send_buf[0] = type();
24
25 for(size_t i = 1; i != 4; ++i)
26 send_buf[i] = get_byte<u32bit>(i, buf_size);
27
28 send_buf += buf;
29
30 hash.update(send_buf);
31
32 writer.send(HANDSHAKE, &send_buf[0], send_buf.size());
33 writer.flush();
34 }
Botan::HANDSHAKE
Definition: tls_magic.h:36
Botan::HandshakeMessage::type
virtual Handshake_Type type() const =0

## ◆ type()

Handshake_Type Botan::Server_Hello_Done::type | ( |  | ) | const
| inlinevirtual

Implements Botan::HandshakeMessage.

Definition at line 286 of file tls_messages.h.

References Botan::SERVER_HELLO_DONE.

286 { return SERVER_HELLO_DONE; }
Botan::SERVER_HELLO_DONE
Definition: tls_magic.h:48

The documentation for this class was generated from the following files:

- src/ssl/tls_messages.h
- src/ssl/hello.cpp